# encoding: utf-8

'''
@author: vmmhypervisor

:required:
    https://pypi.python.org/pypi/pytest
'''

import os

import pytest

import golib
from golib.common import *
from golib.environment import *


@pytest.fixture
def sys_wrapper():
    return golib.syswrapper.SystemWrapper()

TEST_DIR_PATH = os.path.dirname(os.path.realpath(__file__))


class Test_getGeneralEnvironmentInfoMatrix:

    def test_smoke(self):
        assert isListOrTuple(EnvironmentInfo.getGeneralInfoMatrix())


class Test_getGeneralEnvironmentInfoDict:

    def test_smoke(self):
        assert isDict(EnvironmentInfo.getGeneralInfoDict())
